summaryrefslogtreecommitdiffhomepage
path: root/subr/build_init.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/build_init.subr')
-rw-r--r--subr/build_init.subr3
1 files changed, 3 insertions, 0 deletions
diff --git a/subr/build_init.subr b/subr/build_init.subr
index e83e5afd..e6459a86 100644
--- a/subr/build_init.subr
+++ b/subr/build_init.subr
@@ -243,6 +243,9 @@ buildp_init_getopts() {
else
ARG_PARALLEL=$((${ARG_PARALLEL}/2));
fi; ;;
+ max) if ! ARG_PARALLEL="$(rtl_get_cpu_count)"; then
+ _rc=1; _status="failed to get CPU count.";
+ fi; ;;
"") ARG_PARALLEL=1; ;;
*) if ! rtl_isnumber "${ARG_PARALLEL}"; then
_rc=1; _status="invalid jobs count \`${ARG_PARALLEL}'.";